%define upstream_name	 Youri-Package-RPM-Updater
%define upstream_version 0.6.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Update RPM packages
License:    GPL+ or Artistic
Group:      Development/Other
Url:        http://youri.zarb.org
Source0:     http://youri.zarb.org/download/%{upstream_name}-%{upstream_version}.tar.gz

# (tv) temporary disabled due to missing perl-SVN with new perl:
#BuildRequires:	perl(SVN::Client)

BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Readonly)
BuildRequires: perl(SVN::Client)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(YAML::AppConfig)
BuildRequires: perl(Youri::Package) >= 0.2.0
BuildRequires: perl(version)
BuildRequires: perl-version
Requires:   perl-version
BuildArch:  noarch

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This module updates rpm packages. When given an explicit new version, it
updates the spec file, and downloads new sources automatically. When not given
a new version, it just updates the spec file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# (tv) temporary disabled due to missing perl-SVN with new perl:
#%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes META.yml README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.6.2-2.mga3
+ Revision: 375334
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 pterjan <pterjan> 0.6.2-1.mga3
+ Revision: 327072
- 0.6.2

  + spuhler <spuhler>
    - increase rel for rebuild

* Sun Mar 06 2011 guillomovitch <guillomovitch> 0.6.1-1.mga1
+ Revision: 65634
- new version

* Sat Feb 26 2011 jquelin <jquelin> 0.6.0-1.mga1
+ Revision: 60571
- update to 0.6.0

* Mon Jan 24 2011 jquelin <jquelin> 0.5.2-3.mga1
+ Revision: 36720
- mageia rebuild
- imported package perl-Youri-Package-RPM-Updater

